#
# spec file for package mmv
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mmv
Version:        1.01b
Release:        bp155.2.10
Summary:        Move/Copy/Append/Link Multiple Files by Wildcard Patterns
License:        GPL-1.0+
Group:          Productivity/File utilities
Url:            http://packages.qa.debian.org/m/mmv.html
Source0:        http://ftp.debian.org/debian/pool/main/m/mmv/%{name}_%{version}.orig.tar.gz
Source1:        http://packages.debian.org/changelogs/pool/main/m/mmv/current/copyright
# PATCH-FIX-OPENSUSE mmv-1.01b.dif -- Compilation and Makefile fixes
Patch0:         mmv-1.01b.dif
# PATCH-FIX-OPENSUSE allow-non-ascii.patch bnc#34232 jacke@exsuse.de -- Allow non-ASCII for the target file names
Patch1:         allow-non-ascii.patch
# PATCH-FIX-OPENSUSE mmv-1.01b-options.patch bnc#35289 tcrhak@suse.cz -- Honor '--' in option list
Patch2:         mmv-1.01b-options.patch
# PATCH-FIX-OPENSUSE mmv-1.01b-include.dif -- Fix include files
Patch3:         mmv-1.01b-include.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mmv moves (or copies, appends, or links, as specified) each source file matching
a from pattern to the target name specified by the to pattern.  This multiple
action is performed safely, i.e. without any unexpected deletion of files due to
collisions of target names with existing filenames or with other target names.
Furthermore, before doing anything, mmv attempts to detect any errors that would
result from the entire set of actions specified and gives the user the choice of
either proceeding by avoiding the offending parts or aborting.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0
%patch1 -p 1 -b .allow-non-ascii
%patch2
%patch3
cp -a %{SOURCE1} .

%build
# Add LARGEFILE to CFLAGS bnc#137906
make \
  %{?_smp_mflags} \
  CC="gcc" \
  CFLAGS="%{optflags} -Wall -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
make "DESTDIR=%{buildroot}" install IMAN=%{buildroot}%{_mandir}
cd %{buildroot}%{_bindir}
ln -s mmv mad
ln -s mmv mcp
ln -s mmv mln
cd %{buildroot}%{_mandir}/man1/
ln -s mmv.1.gz mad.1.gz
ln -s mmv.1.gz mcp.1.gz
ln -s mmv.1.gz mln.1.gz

%files
%defattr(-,root,root,-)
%doc ANNOUNCE ARTICLE copyright
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Jul 12 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sat Feb  5 2011 asterios.dramis@gmail.com
- Use as source package the one from Debian pool (since this seems the main
  development place for mmv).
- Added the copyright file from
  http://packages.debian.org/changelogs/pool/main/m/mmv/current/copyright
- Spec file updates:
  * Changed the License to GPL+ based on the copyright file.
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Updates in Summary: and %%description sections.
  * Added description for patches based on openSUSE Patches Guidelines.
  * Removed %%changelog entries from spec file.
  * bzip the source package.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 13 2005 anicka@suse.cz
- add LARGEFILE to CFLAGS (bug #137906)
* Tue Apr  5 2005 nadvornik@suse.cz
- fixed include files for gcc4
* Thu Mar  4 2004 tcrhak@suse.cz
- honor '--' in option list (bug #35289)
* Fri Jan 30 2004 mfabian@suse.de
- add patch from Bjoern Jacke <jacke@exsuse.de> to allow
  non-ASCII for the target file names (see Bugzilla #34232).
- use # norootforbuild.
* Wed Sep 25 2002 tcrhak@suse.cz
- in checkto(): assign fdel NULL if it is
  assigned no value so far (fixes bug #19924)
- linked dynamically
* Fri Apr 20 2001 cihlar@suse.cz
- use RPM_OPT_FLAGS
- fixed to compile on s390
* Tue Mar 20 2001 cihlar@suse.cz
- fix to compile on axp
* Wed Dec  6 2000 schwab@suse.de
- Fix to build on ia64.
* Thu Nov  9 2000 cihlar@suse.cz
- clean up spec file
- fixed copyrigt tag
* Wed May 17 2000 cihlar@suse.cz
- added BuildRoot
- Group sorted
* Fri May 12 2000 schwab@suse.de
- Fix Makefile for ia64.
* Tue Jan 25 2000 ro@suse.de
- man to /usr/share using macro
* Sun Dec 19 1999 kukuk@suse.de
- Fix Makefile for SPARC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 uli@suse.de
- no m486 on PPC
* Tue Feb  2 1999 ro@suse.de
- no m486 on alpha
* Thu Jun 18 1998 ro@suse.de
- builds for libc5 and glibc
